import 'package:electronic_assistant/base/app_base_request.dart';
import 'package:json_annotation/json_annotation.dart';

part 'chat_request.g.dart';

@JsonSerializable()
class ChatRequest extends AppBaseRequest {
  @JsonKey(name: "content")
  late String content;

  ChatRequest(this.content);

  @override
  Map<String, dynamic> toJson() => _$ChatRequestToJson(this);
}
